#!/bin/bash
runfct=$1
refocus="--refocus $2"
function run-test-set {
  testName=$1
  testDir="$testName"
  fileext="smp"

  for i in $(seq -w $2 $3)
  do

    echo -e "$testName Test $i:"
    echo "=== Program ===" > ${testDir}/${testName}$i.output
    cat ${testDir}/${testName}$i.$fileext >> ${testDir}/${testName}$i.output
    echo "=== Output ===" >> ${testDir}/${testName}$i.output
    ${runfct} ${testDir}/${testName}$i.fct $refocus >> ${testDir}/${testName}$i.output

  done
}

run-test-set "Kexceptions" 1 15
